/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.openapitools.client.model.ActivityLog;
import org.openapitools.client.model.ReviewStatus;

/**
 * ReviewStatusLog
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class ReviewStatusLog {
  public static final String SERIALIZED_NAME_REV = "rev";
  @SerializedName(SERIALIZED_NAME_REV)
  private Long rev;

  public static final String SERIALIZED_NAME_ACT = "act";
  @SerializedName(SERIALIZED_NAME_ACT)
  private ActivityLog act;

  public static final String SERIALIZED_NAME_STATUS = "status";
  @SerializedName(SERIALIZED_NAME_STATUS)
  private ReviewStatus status;


  public ReviewStatusLog rev(Long rev) {
    
    this.rev = rev;
    return this;
  }

   /**
   * A revision number 
   * minimum: 0
   * @return rev
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "23", value = "A revision number ")

  public Long getRev() {
    return rev;
  }


  public void setRev(Long rev) {
    this.rev = rev;
  }


  public ReviewStatusLog act(ActivityLog act) {
    
    this.act = act;
    return this;
  }

   /**
   * Get act
   * @return act
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public ActivityLog getAct() {
    return act;
  }


  public void setAct(ActivityLog act) {
    this.act = act;
  }


  public ReviewStatusLog status(ReviewStatus status) {
    
    this.status = status;
    return this;
  }

   /**
   * Get status
   * @return status
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public ReviewStatus getStatus() {
    return status;
  }


  public void setStatus(ReviewStatus status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ReviewStatusLog reviewStatusLog = (ReviewStatusLog) o;
    return Objects.equals(this.rev, reviewStatusLog.rev) &&
        Objects.equals(this.act, reviewStatusLog.act) &&
        Objects.equals(this.status, reviewStatusLog.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(rev, act, status);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ReviewStatusLog {\n");
    sb.append("    rev: ").append(toIndentedString(rev)).append("\n");
    sb.append("    act: ").append(toIndentedString(act)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

